#### Beyond Linux® From Scratch (System V Edition) - Version r12.2-875

### Chapter 9. General Libraries

- Prev

  inih-58

- Next

  Jansson-2.14

- Up
- Home

# Intel-gmmlib-22.5.3

## Introduction to Intel-gmmlib

The Intel-gmmlib package contains the Intel Graphics Memory Management Library, which provides device specific memory and buffer management functions for the Intel Media Driver for VAAPI and the Intel Graphics Computer Runtime for OpenCL (TM).

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/intel/gmmlib/archive/intel-gmmlib-22.5.3.tar.gz

- Download MD5 sum: 400b5fe73dc5b611fe406cd1959e8f35

- Download size: 848 KB

- Estimated disk space required: 59 MB

- Estimated build time: 0.5 SBU

### Note

The tarball `intel-gmmlib-22.5.3.tar.gz` will extract to the directory `gmmlib-intel-gmmlib-22.5.3`.

### Intel-gmmlib Dependencies

#### Required

CMake-3.31.2

## Installation of Intel-gmmlib

Install Intel-gmmlib by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr \
          -D BUILD_TYPE=Release        \
          -G Ninja                     \
          -W no-dev ..                 &&
    ninja

The test suite is normally run by ninja unless -D RUN_TEST_SUITE=NO is passed to cmake.

Now, as the `root` user:

    ninja install

## Contents

Installed Programs: None
Installed Libraries: libigdgmm.so
Installed Directories: /usr/include/igdgmm

### Short Descriptions

`libigdgmm.so` | contains functions that provide Memory Management functions for Intel Graphics Drivers

- Prev

  inih-58

- Next

  Jansson-2.14

- Up
- Home